import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhTariffsInfoBlocks {
    render() {
        return (h("div", { class: blockClass(this.arr.class) },
            h("div", { class: "Tariffs_info_block_outer_icon", style: { backgroundImage: "url(" + this.arr.outerImg + ")" }, onClick: () => this.clickOnTariffs.emit(this.arr.outerImg) },
                h("div", { class: "Tariffs_info_block_inner_icon", style: { backgroundImage: "url(" + this.arr.innerImg + ")" }, onClick: () => this.clickOnTariffs.emit(this.arr.innerImg) })),
            h("div", { class: "Tariffs_info_block_title", onClick: () => this.clickOnTariffs.emit(this.arr.title) }, this.arr.title),
            h("div", { class: "Tariffs_info_block_text", onClick: () => this.clickOnTariffs.emit(this.arr.text) }, this.arr.text),
            h("div", { class: "Tariffs_info_price", onClick: () => this.clickOnTariffs.emit(this.arr.priceText) }, this.arr.priceText),
            h("div", { class: "Tariffs_info_btnBlock" },
                h("button", { class: "Tariffs_info_btn", onClick: () => this.clickOnTariffs.emit(this.arr.btnText) }, this.arr.btnText))));
    }
    static get is() { return "s-abdullakh-tariffs-info-blocks"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-tariffs-info-blocks.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-tariffs-info-blocks.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043F\u0435\u0440\u0435\u0434\u0430\u043D\u043D\u044B\u0435 \u043C\u0435\u0442\u043E\u0434\u043E\u043C map \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0443 Tariffs"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnTariffs",
            "name": "clickOnTariffs",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Tariffs"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
function blockClass(x) {
    switch (x) {
        case 'small':
            return 'Tariffs_info_block_small';
        case 'big':
            return 'Tariffs_info_block_big';
    }
}
