import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhTransitionCreateBotTitle {
    render() {
        return (h("div", { class: "transitionCreateBotImgPosition" },
            h("div", { class: "transitionCreateBotImg", style: { backgroundImage: "url(" + this.arr.imgUrl + ")" }, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.imgUrl) }),
            h("div", { class: "transitionCreateBotTitleBlock" },
                h("div", { class: "transitionCreateBotTitle", innerHTML: this.arr.title, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.title) }))));
    }
    static get is() { return "s-abdullakh-transition-create-bot-title"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-transition-create-bot-title.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-transition-create-bot-title.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBotTitle \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnTransitionCreateBot",
            "name": "clickOnTransitionCreateBot",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
