export declare const header: {
    id: string;
    logoUrl: string;
    phoneNumber: string;
    menu: {
        id: number;
        linkName: string;
    }[];
};
export declare const ProductPresentation: {
    imgUrl: string;
    icon: {
        id: string;
        img: string;
    }[];
    title: {
        id: number;
        text: string;
        imgUrl: string;
        behindText: string;
        price: string;
        btnText: string;
    }[];
};
export declare const ProductInformation: {
    title: string;
    infoBlock: {
        id: number;
        outerImg: string;
        innerImg: string;
        text: string;
        btnText: string;
    }[];
};
export declare const TransitionCreateBot: {
    title: {
        id: number;
        imgUrl: string;
        title: string;
    }[];
    follow: {
        id: number;
        text: string;
        btnText: string;
    }[];
};
export declare const PerformanceandBenefitsbckgrnd = "https://static.tildacdn.com/tild3838-6433-4637-a435-313133666535/bg.svg";
export declare const PerformanceInformation: {
    imgUrl: string;
    title: string;
    ContentRightEndText: string;
    ContentLeftEndText: string;
    btnText: string;
    right: {
        id: number;
        text: string;
    }[];
    left: {
        id: number;
        text: string;
    }[];
};
export declare const BenefitsBots: {
    title: string;
    infoBlock: {
        id: number;
        outerImg: string;
        innerImg: string;
        title: string;
        text: string;
    }[];
};
export declare const Consultation: {
    imgUrl: string;
    title: string;
    text: string;
    btnText: string;
};
export declare const Tariffs: {
    dinamicImg: string;
    dinamicText: string;
    title: string;
    bckgrndImg: string;
    infoBlock: {
        id: number;
        outerImg: string;
        innerImg: string;
        class: string;
        title: string;
        text: string;
        priceText: string;
        btnText: string;
    }[];
};
